import argparse

from agentS.consts import DEFAULT_ARCHITECTURE, OPENENDED_TASK, DEFAULT_WEB
from agentS.parse_arguments import parse_arguments


def main(args):
    print(args)


if __name__ == '__main__':
    argparse.ArgumentParser()
    parser = argparse.ArgumentParser(description='Run the agent')
    args = parse_arguments(parser)

    ################ Override the default arguments ################

    # Some changes for running the code, to be removed
    args.architecture = DEFAULT_ARCHITECTURE

    args.env_id = OPENENDED_TASK
    args.input = 'What is the most cited paper by Segev Sholomov, and where does he work?'
    args.start_url = DEFAULT_WEB

    args.action_mapping_predefined = True  # To use the code in predefined_action_mapping.py
    args.action_mapping_predefined_code = CODE_2  # The predefined action mapping code

    # asyncio.run(main_async(args))
    main(args)
